Page MenuHomePhabricator

download_dump.py: Use symlink instead of a copy for toolforge users
Closed, ResolvedPublic

Description

Pywikibot is a Python-based framework to write bots for MediaWiki (more information).

Thanks to work in Google Code-in, Pywikibot now has a script called download_dump.py. It downloads a Wikimedia database dump from http://dumps.wikimedia.org/ , and places the dump in a predicable directory for semi-automated use by other scripts and tests.

https://gerrit.wikimedia.org/r/#/c/399179/7/scripts/maintenance/download_dump.py@71

We shouldn't use copyfile for Toolforge users, but create a symlink to the file that already exists.

You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

Event Timeline

Framawiki triaged this task as Normal priority.Dec 24 2017, 5:06 PM
Framawiki created this task.
Aklapper updated the task description. (Show Details)Dec 24 2017, 6:40 PM
divadsn claimed this task.Dec 25 2017, 8:55 PM
divadsn added a subscriber: divadsn.

Importing symlink from os should do the fix, right? :)

Change 400195 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[pywikibot/core@master] Use symlink instead of copyfile in download_dump.py

https://gerrit.wikimedia.org/r/400195

Framawiki closed this task as Resolved.Dec 26 2017, 8:43 AM

Change 400195 merged by jenkins-bot:
[pywikibot/core@master] Use symlink instead of copyfile in download_dump.py

https://gerrit.wikimedia.org/r/400195